Download it now!
Bug 71550 - Other: Empty backups
Summary: Other: Empty backups
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
3.6.6.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: AutoSave-AutoRecovery-Backup
  Show dependency treegraph
 
Reported: 2013-11-12 20:58 UTC by Vince Radice
Modified: 2019-03-15 02:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Listing of directory showing empty files (i.e. files with 0 byte count) (1.29 MB, text/plain)
2013-11-12 20:58 UTC, Vince Radice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vince Radice 2013-11-12 20:58:35 UTC
Created attachment 89106 [details]
Listing of directory showing empty files  (i.e. files with 0 byte count)

Problem description: 

Steps to reproduce:
1. ....Not sure
2. ....
3. ....

Current behavior:There were over 26,000 empty backups in ~/.config/libreoffice/4/user/backup.  At 10:00 AM over 8,000 had been created since midnight.  All were empty.  I have attached a ls -la from that directory.

Expected behavior: at least one would have been a valid backup.

              
Operating System: Fedora
Version: 3.6.6.2 release
Comment 1 Robert Großkopf 2013-11-13 19:28:31 UTC
How do you get backups from a *.odb-file? I have searched all my different installations of LO - have over 30 versions installed for testing. I couldn't find any file in any backup-folder of this versions.

My system: OpenSUSE 12.3 64bit rpm
Comment 2 Vince Radice 2013-11-14 03:27:36 UTC
Robert,  have you looked that the directory that I posted?  Does it exist?  Is there anything in it?
Comment 3 Robert Großkopf 2013-11-14 07:06:52 UTC
(In reply to comment #2)
> Robert,  have you looked that the directory that I posted?  Does it exist? 
> Is there anything in it?

The folders do exist. I have three folders in ~/.config/libreoffice : 3, 4 and 4-suse (also two old folders, renamed while testing something). In this folders I could open the /user/backup -folder, but there is nothing inside.

Backup for database-files doesn't work with the backup-functions of LO. It's because the data in the database where saved independent of the saving-function of LO.
Comment 4 ign_christian 2014-06-26 03:54:29 UTC
Following previous comment by Robert about backup behaviour for database files, should be notabug.

May be I'm wrong, please reopen..
Comment 5 Vince Radice 2014-06-26 05:00:09 UTC
I am still experiencing the problem.  I had changed some of the backup values in the options (don't remember what was changed) but I still have to go in and delete these empty files.  
The database engine is hsql.  From what I see the data is stored in the odb file.  In there also are my forms, queries, and reports.  I discovered this by opening the odb file with an archive manager (ark I believe).
I have thought about changing the database engine and tried mysql but the documentation that I found assumes that you know all about it which I don't.
I have learned to live with the quirks by manually copying the database and archiving it myself.

I am reopening this per ign Christian.
Comment 6 Robert Großkopf 2014-06-26 19:48:18 UTC
If you only want to save the database-file when the file has just been opened, try the following macro and link it to Tools → Customize → Open Document:

https://bugs.freedesktop.org/show_bug.cgi?id=80072#c1

The macro copies one file of the opened *.odb-file to to the Backup-Folder of LO. It will copy up to 5 files and then it will delete the oldest file with copying a new with the same name.

So you will have a backup without copying the file by hand.

Could it be Bug80072 has the same intention as this bug?
Comment 7 Joel Madero 2014-11-05 04:04:18 UTC
Never independently confirmed by QA team - moving to UNCONFIRMED to make sure they see it. Thanks for your patience and understanding.
Comment 8 Alex Thurgood 2014-11-05 10:10:36 UTC
@Vince : please retest with a latest production release of LibreOffice and a clean user profile to see if this is still happening.

LO is normally incapable of producing backup database files using the builtin backup mechanism used for other document types. This might explain why you were getting 0 byte length files.

If you feel that the issue is really that LO should be able to create such backup files, i.e. a new feature, please change your title to reflect that.
Comment 9 Robert Großkopf 2014-11-10 18:38:35 UTC
I have had a look at ...user/backup for other backup-files I created with a macro. There were a lot backup-files in the folder. All except one were created between 2014-10-14 8:23 and 2014-10-14 8:27. Beginning with the name of the *.odb-file and ending with _0odb up to _1643odb . Most of the files seem to be empty.
I don't know which LO-version I used at that time. Could be a 4.2-version, because I had created an example-database for Base Handbook.

There are some macros inside. Don't know the reason for this backups, but I could confirm the behavior happend also here.

My System: OpenSUSE 12.3 64bit rpm Linux with many different LO-versions for testing ...
Comment 10 Alex Thurgood 2015-01-03 17:40:00 UTC Comment hidden (no-value)
Comment 11 QA Administrators 2016-01-17 20:02:02 UTC Comment hidden (obsolete)
Comment 12 Robert Großkopf 2016-01-18 20:18:02 UTC
This bug is hard to reproduce. At this moment the .../user/backup-folder is complete empty here. No file inside, also no database-file.
Comment 13 Vince Radice 2016-01-19 01:40:46 UTC
I received a request to see if this was still happening.  I am running Version 5.0.0.5 and it is still happening.  I had turned off taking a backup by going to Options - Load/Save - General and clearing Always create backup copies.  I turned it back on, opened a Base window and opened a database.  After about 4 hours, there were over 86,000 entries in ~/.config/libreoffice/4/user/backup.  So, to me it looks like it is still happening.  BTW, I am turning backup back off.
Comment 14 Vince Radice 2016-01-19 02:05:40 UTC
I am currently running Fedora 21 64 bit.Version 5.0.0.5 is the latest version available through yum.  I am working on upgrading all of my systems to Fedora 23 with my main desktop as the last one to make sure I work out all of the kinks in the upgrade process.  It looks like Fed 23 has version 5.0.4.  I will try again after upgrading to 23.
Comment 15 Muhammet Kara 2016-06-22 13:34:15 UTC
Couldn't reproduce with 5.3.0.0 (master) or 5.1.4.1
Comment 16 QA Administrators 2017-09-01 11:15:21 UTC Comment hidden (obsolete)
Comment 17 TBeholder 2017-10-21 16:17:13 UTC
I had this happen in 5.1.6.2 (right when "recovery" managed to destroy half of a sheet, at that) - most likely it was because of a crash, since there's a lock file next to it.
Well, that and it crashed from as much as looking at it funny.

Do you have a bunch of corresponding "~lock.*#" files next to those zero-sized "*.bak" files too?

(And just to be sure, do you have free space on that partition when this happens? I had some bug a few years ago that spammed ~/.xsession-error with several GB of error messages until it suffocated partition with /home/ - and then there's ~/.cache etc)
Comment 18 QA Administrators 2018-10-22 02:49:55 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug